using System;
using System.Collections;
using System.Data;
using DotNetSCORM.DataTools;

namespace ClubSite.API
{
    public class MemberInfo
    {
        #region "Private Members"
        Guid _memberid;
        string _address;
        string _phone;
        string _firstname;
        string _lastname;
        #endregion

        #region "Constructors"
        public MemberInfo()
        {
        }

        public MemberInfo(Guid memberid, string address, string phone, string firstname, string lastname)
        {
            this.address = address;
            this.phone = phone;
            this.firstname = firstname;
            this.lastname = lastname;
            this.memberid = memberid;
        }
        #endregion

        #region "Public Properties"
        public Guid memberid
        {
            get { return _memberid; }
            set { _memberid = value; }
        }

        public string address
        {
            get { return _address; }
            set { _address = value; }
        }

        public string phone
        {
            get { return _phone; }
            set { _phone = value; }
        }

        public string firstname
        {
            get { return _firstname; }
            set { _firstname = value; }
        }

        public string lastname
        {
            get { return _lastname; }
            set { _lastname = value; }
        }
        #endregion
    }

    public class MemberCount
    {
        #region "Private Members"
        char _letter;
        int _num;
        #endregion

        #region "Constructors"
        public MemberCount()
        {
        }

        #endregion

        #region "PublicProperties"

        public char letter
        {
            get { return _letter; }
            set { _letter = value; }
        }

        public int num
        {
            get { return _num; }
            set { _num = value; }
        }
        #endregion

    }


    public class MemberInfoController
    {
        #region "Private Methods"
        private SqlProvider DataProvider = new SqlProvider(); 
        #endregion

        #region "Public Methods"
        public MemberInfo Get(Guid memberid)
        {
            return (MemberInfo)CBO.FillObject(DataProvider.GetMemberInfo(memberid), typeof(MemberInfo));
        }

        public ArrayList List()
        {
            return CBO.FillCollection(DataProvider.ListMemberInfo(), typeof(MemberInfo));
        }

        public ArrayList ListFiltered(string filter)
        {
            return CBO.FillCollection(DataProvider.ListMemberInfoFilter(filter), typeof(MemberInfo));
        }

        public ArrayList MemberCountByLetters()
        {
            return CBO.FillCollection(DataProvider.MemberCountLetter(), typeof(MemberCount));
        }
        
        public int Add(MemberInfo objMemberInfo)
        {
            return (int)DataProvider.AddMemberInfo(objMemberInfo.address, objMemberInfo.phone, objMemberInfo.firstname, objMemberInfo.lastname);
        }

        public void Update(MemberInfo objMemberInfo)
        {
            DataProvider.UpdateMemberInfo(objMemberInfo.memberid, objMemberInfo.address, objMemberInfo.phone, objMemberInfo.firstname, objMemberInfo.lastname);
        }

        public void Delete(Guid memberid)
        {
            DataProvider.DeleteMemberInfo(memberid);
        }
        #endregion

    }


}

