using System;
using System.Configuration;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml;
using ClubSite.API;
using DotNetSCORM.Install;

public partial class Install_Install : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Get current Script time-out
        int scriptTimeOut = Server.ScriptTimeout;

        string mode = "";
        if ((Request.QueryString["mode"] != null))
        {
            mode = Request.QueryString["mode"].ToLower();
        }

        //Disable Client side caching
        Response.Cache.SetCacheability(HttpCacheability.ServerAndNoCache);

        switch (mode)
        {
            case "install":
                InstallApplication();
                break;

            default:
                NoInstall();
                break;
        }
    }

    private void InstallApplication()
    {
        InstallUtil insObj = new InstallUtil();
        string InstallDate = ConfigurationManager.AppSettings["InstallationDate"];
        if (InstallDate == null | InstallDate == "") 
        {
            //Start First Step
            string strError = InstallUtil.UpdateMachineKey();
            if (strError == "")
            {
                //Web Config has updated, we need to restart the app
                Response.Redirect(HttpContext.Current.Request.RawUrl, true);
            }
            else
            {
                //TODO: Create Error Page and redirect with error.
                //Response.Redirect("~/ErrorPage.aspx?error=" + strError);
            }
        }
        else
        {
            //Start Second Step
            insObj.WriteHeader(Response, "install");
            insObj.InstallDNS();


        }
        insObj.WriteFooter(Response);


    }

    private void NoInstall()
    {
        //Wite out No Install Message
        InstallUtil insObj = new InstallUtil();
        insObj.WriteHeader(Response, "none");
        insObj.WriteFooter(Response);
    }

    private byte[] GetFile(string filename)
    {
        FileStream fs = new FileStream(Server.MapPath(filename), FileMode.Open);
        byte[] b = new byte[(int)fs.Length];
        fs.Read(b, 0, b.Length);
        fs.Close();

        return b;
    }



    private void CheckInstalled()
    {
        string InstallDate = ConfigurationManager.AppSettings["installDate"];
        if (InstallDate == null)
            Server.Transfer("../default.aspx");

    }



}
